PHP 手冊
前一頁 |  | 下一頁

# DOMElement->setAttribute()

DOMElement->setAttribute() -- Adds new attribute

## Description

class DOMElement {
bool setAttribute ( string name, string value )
}

Sets an attribute with name name to the given value. If the attribute does not exist, it will be created.

## Parameters

name

  The name of the attribute.

value

  The value of the attribute.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

## 範例

範例 1. Setting an attribute

`<?php $doc = new DOMDocument("1.0"); $node = $doc->createElement("para"); $newnode = $doc->appendChild($node); $newnode->setAttribute("align", "left"); ?>`

## 參考

DOMElement->hasAttribute()
DOMElement->getAttribute()
DOMElement->removeAttribute()

前一頁 | 內容 | 下一頁
DOMElement->removeAttributeNS() | 上一層 | DOMElement->setAttributeNode()